# mysqli::refresh

# mysqli_refresh

(PHP 5 >= 5.3.0, PHP 7)

mysqli::refresh -- mysqli_refresh — Refreshes

### Description

Object oriented style

public mysqli::refresh ( int `$options` ) : bool

Procedural style

mysqli_refresh ( resource `$link` , int `$options` ) : bool

Flushes tables or caches, or resets the replication server information.

### Parameters

`link`

  Procedural style only: A link identifier returned by mysqli_connect() or mysqli_init()

`options`

  The options to refresh, using the MYSQLI_REFRESH_* constants as documented within the MySQLi constants documentation.

  See also the official » MySQL Refresh documentation.

### Return Values

`TRUE` if the refresh was a success, otherwise `FALSE`

### See Also

- mysqli_poll() - Poll connections